/*****************************************************************************
 *   target.h:  Header file for NXP LPC23xx/24xx Family Microprocessors
 *
 *   Copyright(C) 2006, NXP Semiconductor
 *   All rights reserved.
 *
 *   History
 *   2006.09.20  ver 1.00    Prelimnary version, first Release
 *
******************************************************************************/
#ifndef __TARGET_H 
#define __TARGET_H

#ifdef __cplusplus
   extern "C" {
#endif

/*Fosc=12MHz, M=12, N=1 => Fcco=288MHz, 
	CCLK=288/5=57.6MHz, PCLK=CCLK/4=14.4MHz*/
#if 1
#define Fosc	12000000
#define Fcclk	57600000
#define Fcco	288000000
#define Fpclk	14400000
#endif
/*Fosc=12MHz, M=12, N=1 => Fcco=288MHz, 
	CCLK=288/4=72MHz, PCLK=CCLK/4=18MHz*/
#if 0
#define Fosc	12000000
#define Fcclk	72000000
#define Fcco	288000000
#define Fpclk	18000000
#endif


#ifdef __cplusplus
   }
#endif
 
#endif /* end __TARGET_H */
/******************************************************************************
**                            End Of File
******************************************************************************/
